javax.net.ssl

## Class SSLHandshakeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.net.ssl.SSLException
        - - javax.net.ssl.SSLHandshakeException

- All Implemented Interfaces:
    Serializable

      public class SSLHandshakeException
      extends SSLException

  Indicates that the client and server could not negotiate the desired level of security. The connection is no longer usable.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLHandshakeException(String reason)` Constructs an exception reporting an error found by an SSL subsystem during handshaking.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLHandshakeException

          public SSLHandshakeException(String reason)

      Constructs an exception reporting an error found by an SSL subsystem during handshaking.
      Parameters:
        `reason` - describes the problem.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.